rpms/x264/devel x264-vectors.patch, NONE, 1.1 x264-rpm.patch, 1.4, 1.5 x264.spec, 1.5, 1.6
by Dominik Mierzejewski
Author: rathann
Update of /cvs/free/rpms/x264/devel
In directory se02.es.rpmfusion.net:/tmp/cvs-serv30834
Modified Files:
x264-rpm.patch x264.spec
Added Files:
x264-vectors.patch
Log Message:
* Thu Dec 04 2008 Dominik Mierzejewski <rpm(a)greysector.net> 0.0.0-0.19.20081202git71d34b4.1
- fix compilation on ppc
x264-vectors.patch:
--- NEW FILE x264-vectors.patch ---
diff -up x264-20081202/common/ppc/ppccommon.h.v x264-20081202/common/ppc/ppccommon.h
--- x264-20081202/common/ppc/ppccommon.h.v 2008-12-02 23:26:25.000000000 +0100
+++ x264-20081202/common/ppc/ppccommon.h 2008-12-04 01:50:27.000000000 +0100
@@ -251,7 +251,7 @@ typedef union {
* and i2
**********************************************************************/
#define VEC_DIFF_HL(p1,i1,p2,i2,dh,dl) \
- pix1v = vec_ld(0, p1); \
+ pix1v = (vec_s16_t)vec_ld(0, p1); \
temp0v = vec_u8_to_s16_h( pix1v ); \
temp1v = vec_u8_to_s16_l( pix1v ); \
VEC_LOAD( p2, pix2v, 16, vec_s16_t, p2); \
x264-rpm.patch:
Index: x264-rpm.patch
===================================================================
RCS file: /cvs/free/rpms/x264/devel/x264-rpm.patch,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- x264-rpm.patch 3 Dec 2008 00:23:13 -0000 1.4
+++ x264-rpm.patch 4 Dec 2008 00:54:53 -0000 1.5
@@ -42,14 +42,6 @@
diff -up x264-20081202/Makefile.r x264-20081202/Makefile
--- x264-20081202/Makefile.r 2008-12-02 23:26:25.000000000 +0100
+++ x264-20081202/Makefile 2008-12-03 01:21:24.000000000 +0100
-@@ -53,6 +53,7 @@ ALTIVECSRC += common/ppc/mc.c common/ppc
- common/ppc/predict.c
- SRCS += $(ALTIVECSRC)
- $(ALTIVECSRC:%.c=%.o): CFLAGS += $(ALTIVECFLAGS)
-+common/ppc/pixel.c: CFLAGS += -flax-vector-conversions
- endif
-
- # VIS optims
@@ -77,14 +78,25 @@ libx264.a: .depend $(OBJS) $(OBJASM)
ar rc libx264.a $(OBJS) $(OBJASM)
ranlib libx264.a
Index: x264.spec
===================================================================
RCS file: /cvs/free/rpms/x264/devel/x264.spec,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- x264.spec 2 Dec 2008 23:33:45 -0000 1.5
+++ x264.spec 4 Dec 2008 00:54:53 -0000 1.6
@@ -4,13 +4,14 @@
Summary: H264/AVC video streams encoder
Name: x264
Version: 0.0.0
-Release: 0.19.%{snapshot}git%{git}%{?dist}
+Release: 0.19.%{snapshot}git%{git}%{?dist}.1
License: GPLv2+
Group: System Environment/Libraries
URL: http://developers.videolan.org/x264.html
Source0: http://rpm.greysector.net/livna/%{name}-%{snapshot}.tar.bz2
Source1: x264-snapshot.sh
Patch0: %{name}-rpm.patch
+Patch1: %{name}-vectors.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildRequires: gpac-devel
%ifarch x86_64 %{ix86}
@@ -65,6 +66,7 @@
%prep
%setup -q -n %{name}-%{snapshot}
%patch0 -p1 -b .r
+%patch1 -p1 -b .v
# AUTHORS file is in iso-8859-1
iconv -f iso-8859-1 -t utf-8 -o AUTHORS.utf8 AUTHORS
mv -f AUTHORS.utf8 AUTHORS
@@ -130,6 +132,9 @@
%endif
%changelog
+* Thu Dec 04 2008 Dominik Mierzejewski <rpm(a)greysector.net> 0.0.0-0.19.20081202git71d34b4.1
+- fix compilation on ppc
+
* Tue Dec 02 2008 Dominik Mierzejewski <rpm(a)greysector.net> 0.0.0-0.19.20081202git71d34b4
- 20081202 snapshot
- bring back asm optimized/unoptimized libs split
15 years, 11 months
rpms/gambatte/devel .cvsignore, NONE, 1.1 Makefile, NONE, 1.1 sources, NONE, 1.1
by Xavier Lamien
Author: laxathom
Update of /cvs/free/rpms/gambatte/devel
In directory se02.es.rpmfusion.net:/home/rpmfusion/laxathom/free/owners/tmpcvsD17122/rpms/gambatte/devel
Added Files:
.cvsignore Makefile sources
Log Message:
Setup of module gambatte
--- NEW FILE .cvsignore ---
--- NEW FILE Makefile ---
# Makefile for source rpm: gambatte
# $Id: Makefile,v 1.1 2008/12/03 20:33:19 laxathom Exp $
NAME := gambatte
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attept a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)
--- NEW FILE sources ---
15 years, 11 months
rpms/gambatte Makefile, NONE, 1.1 import.log, NONE, 1.1 pkg.acl, NONE, 1.1
by Xavier Lamien
Author: laxathom
Update of /cvs/free/rpms/gambatte
In directory se02.es.rpmfusion.net:/home/rpmfusion/laxathom/free/owners/tmpcvsD17122/rpms/gambatte
Added Files:
Makefile import.log pkg.acl
Log Message:
Setup of module gambatte
--- NEW FILE Makefile ---
# Top level Makefile for module gambatte
all : CVS/Root common-update
@cvs update
common-update : common
@cd common && cvs update
common : CVS/Root
@cvs checkout common
CVS/Root :
@echo "ERROR: This does not look like a CVS checkout" && exit 1
clean :
@find . -type f -name *~ -exec rm -fv {} \;
--- NEW FILE import.log ---
--- NEW FILE pkg.acl ---
15 years, 11 months
rpms/gambatte/devel - New directory
by Xavier Lamien
Author: laxathom
Update of /cvs/free/rpms/gambatte/devel
In directory se02.es.rpmfusion.net:/home/rpmfusion/laxathom/free/owners/tmpcvsD17122/rpms/gambatte/devel
Log Message:
Directory /cvs/free/rpms/gambatte/devel added to the repository
15 years, 11 months
rpms/gambatte - New directory
by Xavier Lamien
Author: laxathom
Update of /cvs/free/rpms/gambatte
In directory se02.es.rpmfusion.net:/home/rpmfusion/laxathom/free/owners/tmpcvsD17122/rpms/gambatte
Log Message:
Directory /cvs/free/rpms/gambatte added to the repository
15 years, 11 months
rpms/bsnes/devel .cvsignore, NONE, 1.1 Makefile, NONE, 1.1 sources, NONE, 1.1
by Xavier Lamien
Author: laxathom
Update of /cvs/nonfree/rpms/bsnes/devel
In directory se02.es.rpmfusion.net:/home/rpmfusion/laxathom/nonfree/owners/tmpcvsN16599/rpms/bsnes/devel
Added Files:
.cvsignore Makefile sources
Log Message:
Setup of module bsnes
--- NEW FILE .cvsignore ---
--- NEW FILE Makefile ---
# Makefile for source rpm: bsnes
# $Id: Makefile,v 1.1 2008/12/03 20:26:20 laxathom Exp $
NAME := bsnes
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attept a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)
--- NEW FILE sources ---
15 years, 11 months
rpms/bsnes Makefile,NONE,1.1 import.log,NONE,1.1 pkg.acl,NONE,1.1
by Xavier Lamien
Author: laxathom
Update of /cvs/nonfree/rpms/bsnes
In directory se02.es.rpmfusion.net:/home/rpmfusion/laxathom/nonfree/owners/tmpcvsN16599/rpms/bsnes
Added Files:
Makefile import.log pkg.acl
Log Message:
Setup of module bsnes
--- NEW FILE Makefile ---
# Top level Makefile for module bsnes
all : CVS/Root common-update
@cvs update
common-update : common
@cd common && cvs update
common : CVS/Root
@cvs checkout common
CVS/Root :
@echo "ERROR: This does not look like a CVS checkout" && exit 1
clean :
@find . -type f -name *~ -exec rm -fv {} \;
--- NEW FILE import.log ---
--- NEW FILE pkg.acl ---
15 years, 11 months
rpms/bsnes/devel - New directory
by Xavier Lamien
Author: laxathom
Update of /cvs/nonfree/rpms/bsnes/devel
In directory se02.es.rpmfusion.net:/home/rpmfusion/laxathom/nonfree/owners/tmpcvsN16599/rpms/bsnes/devel
Log Message:
Directory /cvs/nonfree/rpms/bsnes/devel added to the repository
15 years, 11 months
rpms/bsnes - New directory
by Xavier Lamien
Author: laxathom
Update of /cvs/nonfree/rpms/bsnes
In directory se02.es.rpmfusion.net:/home/rpmfusion/laxathom/nonfree/owners/tmpcvsN16599/rpms/bsnes
Log Message:
Directory /cvs/nonfree/rpms/bsnes added to the repository
15 years, 11 months
rpms/yapeSDL/F-9 Plus4.png, NONE, 1.1 yapeSDL-0.32.5-cflags.patch, NONE, 1.1 yapeSDL-0.32.5-homedir.patch, NONE, 1.1 yapeSDL.desktop, NONE, 1.1 .cvsignore, 1.2, 1.3 sources, 1.2, 1.3 yapeSDL.spec, 1.1, 1.2 yapeSDL-0.32.4-gcc4_cflags.patch, 1.1, NONE yapeSDL-0.32.4-homedir.patch, 1.1, NONE yapeSDL-0.32.4-loadfile.patch, 1.1, NONE
by Andrea Musuruane
Author: musuruan
Update of /cvs/nonfree/rpms/yapeSDL/F-9
In directory se02.es.rpmfusion.net:/tmp/cvs-serv30179
Modified Files:
.cvsignore sources yapeSDL.spec
Added Files:
Plus4.png yapeSDL-0.32.5-cflags.patch
yapeSDL-0.32.5-homedir.patch yapeSDL.desktop
Removed Files:
yapeSDL-0.32.4-gcc4_cflags.patch yapeSDL-0.32.4-homedir.patch
yapeSDL-0.32.4-loadfile.patch
Log Message:
* Wed Dec 03 2008 Andrea Musuruane <musuruan(a)gmail.com> 0.32.5-1
- Updated to upstream 0.32.5
- Version 0.32.5 ships a small GUI - added a desktop entry and an icon
- Removed the name from the summary
yapeSDL-0.32.5-cflags.patch:
--- NEW FILE yapeSDL-0.32.5-cflags.patch ---
--- Makefile.orig 2008-12-01 12:15:43.000000000 +0100
+++ Makefile 2008-12-01 12:16:38.000000000 +0100
@@ -24,7 +24,7 @@
sourcefiles = $(filter-out $(hasnoheader),$(allfiles)) device.h mem.h roms.h types.h
CC = g++
-cflags = -O3 -finline -frerun-loop-opt -Winline -fomit-frame-pointer `sdl-config --cflags`
+cflags = $(RPM_OPT_FLAGS) -frerun-loop-opt -Winline -fomit-frame-pointer `sdl-config --cflags`
libs = `sdl-config --libs`
#SDL_CFLAGS := $(shell sdl-config --cflags)
yapeSDL-0.32.5-homedir.patch:
--- NEW FILE yapeSDL-0.32.5-homedir.patch ---
--- archdep.cpp.orig 2008-12-01 12:19:01.000000000 +0100
+++ archdep.cpp 2008-12-01 12:19:50.000000000 +0100
@@ -75,7 +75,7 @@
int ad_makedirs(char *path)
{
strcpy(temp,path);
- strcat(temp, "/yape");
+ strcat(temp, "/.yape");
CreateDirectory(temp, NULL);
return 1;
@@ -296,7 +296,7 @@
// Possible buffer overflow fixed.
strncpy(temp, path, 512);
if (strlen(temp) > 506) return 0;
- strcat(temp, "/yape");
+ strcat(temp, "/.yape");
mkdir(temp, 0777);
return 1;
@@ -307,7 +307,7 @@
// Possible buffer overflow fixed.
strncpy(temp, tmpchr, 512);
if (strlen(temp) > 496) return NULL;
- strcat( temp, "/yape/yape.conf");
+ strcat( temp, "/.yape/yape.conf");
return temp;
}
--- README.SDL.orig 2008-12-01 12:19:59.000000000 +0100
+++ README.SDL 2008-12-01 12:20:34.000000000 +0100
@@ -80,7 +80,7 @@
LALT + W : toggle between unlimited speed and 50 Hz frame rate (original speed)
Internal disk LOAD/SAVE operations are supported to the current
- file system directory, which is usually '/home/<username>/yape'.
+ file system directory, which is usually '/home/<username>/.yape'.
Any PRG files you may wish to load, should go there, although you can browse the directory tree
from the user interface, too.
--- NEW FILE yapeSDL.desktop ---
[Desktop Entry]
Encoding=UTF-8
Name=YapeSDL
Comment=Yet another plus/4 emulator
Exec=yape
Icon=yapeSDL
Terminal=false
Type=Application
Categories=Game;Emulator;
Index: .cvsignore
===================================================================
RCS file: /cvs/nonfree/rpms/yapeSDL/F-9/.cvsignore,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- .cvsignore 26 Jul 2008 14:18:42 -0000 1.2
+++ .cvsignore 3 Dec 2008 14:21:05 -0000 1.3
@@ -1 +1 @@
-yapeSDL-0.32.4.tar.gz
+yapeSDL-0.32.5.tar.gz
Index: sources
===================================================================
RCS file: /cvs/nonfree/rpms/yapeSDL/F-9/sources,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- sources 26 Jul 2008 14:18:42 -0000 1.2
+++ sources 3 Dec 2008 14:21:05 -0000 1.3
@@ -1 +1 @@
-b2b7a180d2c7893805f820f80f59ad30 yapeSDL-0.32.4.tar.gz
+2d37d720975dc6a0fd9ec4e7964cafb1 yapeSDL-0.32.5.tar.gz
Index: yapeSDL.spec
===================================================================
RCS file: /cvs/nonfree/rpms/yapeSDL/F-9/yapeSDL.spec,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- yapeSDL.spec 26 Jul 2008 14:18:42 -0000 1.1
+++ yapeSDL.spec 3 Dec 2008 14:21:05 -0000 1.2
@@ -1,21 +1,28 @@
Name: yapeSDL
-Version: 0.32.4
-Release: 2%{?dist}
-Summary: YAPE, yet another plus/4 emulator
+Version: 0.32.5
+Release: 1%{?dist}
+Summary: Yet another plus/4 emulator
Group: Applications/Emulators
License: GPLv2+
URL: http://yape.plus4.net/
Source: http://yape.homeserver.hu/download/%{name}-%{version}.tar.gz
-# OpenSUSE
-Patch0: %{name}-0.32.4-gcc4_cflags.patch
-# FreeBSD
-Patch1: %{name}-0.32.4-homedir.patch
+Source1: %{name}.desktop
+# Icon taken from
+# http://ahlberg.deviantart.com/art/Commodore-Icons-70563314
+# License:
+# These icons are FREE! Feel free to use them in your applications,
+# on your site, signature on a forum or whatever.
+Source2: Plus4.png
# Andrea Musuruane
-Patch2: %{name}-0.32.4-loadfile.patch
+Patch0: %{name}-0.32.5-cflags.patch
+Patch1: %{name}-0.32.5-homedir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: SDL-devel >= 0:1.2
+BuildRequires: desktop-file-utils
+Requires: hicolor-icon-theme
+
%description
YAPE is a rather decent plus/4 emulator. It has been developed for
@@ -26,18 +33,17 @@
%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p0
-%patch1 -p1
-%patch2 -p1
+%patch1 -p0
# Fix end-of-line-encoding
-sed -i 's/\r//' *.{cpp,h} Changes README.SDL copying
+sed -i 's/\r//' *.{cpp,h} Changes README.SDL COPYING
# Fix UTF-8 encoding
iconv --from=ISO-8859-1 --to=UTF-8 README.SDL > README.SDL.utf8
mv README.SDL.utf8 README.SDL
# Fix spurious executable permissions
-chmod 644 *.{cpp,h} Changes README.SDL copying
+chmod 644 *.{cpp,h} Changes README.SDL COPYING
%build
@@ -49,6 +55,30 @@
install -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 yape %{buildroot}%{_bindir}/
+# install desktop file
+mkdir -p %{buildroot}%{_datadir}/applications
+desktop-file-install --vendor '' \
+ --dir %{buildroot}%{_datadir}/applications \
+ %{SOURCE1}
+
+# install icon
+mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
+cp %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
+
+
+%post
+touch --no-create %{_datadir}/icons/hicolor
+if [ -x %{_bindir}/gtk-update-icon-cache ]; then
+ %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
+fi
+
+
+%postun
+touch --no-create %{_datadir}/icons/hicolor
+if [ -x %{_bindir}/gtk-update-icon-cache ]; then
+ %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
+fi
+
%clean
rm -rf %{buildroot}
@@ -56,11 +86,17 @@
%files
%defattr(-,root,root,-)
-%doc Changes copying README.SDL
-%defattr(-,root,root,0755)
%{_bindir}/yape
+%{_datadir}/applications/%{name}.desktop
+%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
+%doc Changes COPYING README.SDL
%changelog
+* Wed Dec 03 2008 Andrea Musuruane <musuruan(a)gmail.com> 0.32.5-1
+- Updated to upstream 0.32.5
+- Version 0.32.5 ships a small GUI - added a desktop entry and an icon
+- Removed the name from the summary
+
* Tue Feb 26 2008 Andrea Musuruane <musuruan(a)gmail.com> 0.32.4-2
- Minor cleanup
--- yapeSDL-0.32.4-gcc4_cflags.patch DELETED ---
--- yapeSDL-0.32.4-homedir.patch DELETED ---
--- yapeSDL-0.32.4-loadfile.patch DELETED ---
15 years, 11 months